<div class="container">
  <div class="row space">
    <div class="col d-flex">
      <mat-card class="card-style mr-auto ml-auto" matRipple>
        <mat-card-header>
          <mat-card-title>RaceResult {{driver.surename}} {{ driver.name }} </mat-card-title>
          <mat-card-subtitle>for Race {{ race.racePositionIndex + 1 }}
            in {{ race.circuit }}</mat-card-subtitle>
        </mat-card-header>
        <mat-divider></mat-divider>
        <mat-card-content class="d-flex justify-content-center mt-2">
          <form [formGroup]="addRaceResultFormGroup">
            <mat-form-field appearance="fill">
              <mat-label>Grid</mat-label>
              <mat-select formControlName="grid">
                <mat-option *ngFor="let driver of leagueViewService.allDriversFromCurrentLeague; let i = index"
                            [value]="i+1">{{i + 1}}</mat-option>
              </mat-select>
            </mat-form-field>
            <br>
            <mat-form-field appearance="fill">
              <mat-label>P</mat-label>
              <mat-select formControlName="endPosition">
                <mat-option *ngFor="let driver of leagueViewService.allDriversFromCurrentLeague; let i = index"
                            [value]="i+1">{{i + 1}}</mat-option>
              </mat-select>
            </mat-form-field>
            <br>
            <mat-form-field appearance="fill">
              <mat-label>Fastest Lap</mat-label>
              <input formControlName="fastestLap" matInput placeholder="The drivers fastest lap">
            </mat-form-field>
            <br>
            <mat-form-field appearance="fill">
              <mat-label>Car</mat-label>
              <mat-select [value]="leagueViewService.mapDriverToTeam.get(driver.driverId).nextCar"
                          formControlName="car">
                <mat-option *ngFor="let car of getCars()" [value]="car">{{car}}</mat-option>
              </mat-select>
            </mat-form-field>
            <div class="text-center">
              <button (click)="addRaceResultToList(driver)" color="accent" mat-raised-button>Add To List</button>
            </div>
          </form>
        </mat-card-content>
      </mat-card>
    </div>
  </div>
</div>
